@mixin slidebar {

    display: block;
    position: absolute;
    height: 3px;
    border-radius: 3px;
    background: var(--theme);
    bottom: 3px;

    transition: all ease-out .1s;

} 

@mixin ruban {

    display: flex;

    background: var(--bg-1);
    padding: 1px 5px;
    transition: all ease .1s;
    font-size: 10pt;
    position: relative;
    height: 30px;

    --slider-width: 50px;
    --slider-pos: 10px;
    
    .elem {

        margin: 0 5px;
        padding: 5px;
        padding-bottom: 7px;
        position: relative;
        user-select: none;

        &::before {
            @include slidebar();
            width: 100%;
            left: 0;
            bottom: 2px;
        }

        &:hover::before {
            content: '';
            background: var(--bg-5);
        }

    }
    
    .slider {
        @include slidebar();
        left: var(--slider-pos);
        width: var(--slider-width);
    }

}